/****************************************************************************** 
*
* Copyright 1991-2003 by ADIC, Inc.  All rights reserved.
* No part of this work may be reproduced or transmitted in any
* form or by any means, electronic or mechanical, including
* photocopying and recording, or by any information storage
* or retrieval system, except as may be expressly permitted by
* the 17 U.S.C. section 101, et. seq., or in writing by
* ADIC, Inc.
*******************************************************************************/
/****************************************************************************** 
* Name:  setupDateTime.js
* Purpose: Javascript functions for setting system date and time
* $Id: setupDateTime.js 1.7.2.2 2007/07/25 09:37:37MDT Bill Gray (bgray) dev  $
*******************************************************************************/

function NTPSwitch()
{
  var theForm = document.forms.dateTimeForm;

  if( theForm.useNTP.checked )
  {
    changeObjectVisibility("NTPDiv", "visible");
    changeObjectVisibility("ManualDiv", "hidden");
    
    document.getElementById("useNTPEnabled").innerHTML = 'Enabled';
  }
  else
  {
    changeObjectVisibility("NTPDiv", "hidden");
    changeObjectVisibility("ManualDiv", "visible");
    document.getElementById("useNTPEnabled").innerHTML = 'Disabled';
  }

}   

// checks to make sure valid numbers are entered in 
// the hour field if not the current letter is removed.
function checkValidHour(number)
{
   var pattern = /\D/;
   var string = number.value;

   if( number.value.match(pattern) )
   {
      string = string.slice(0,-1);
      number.value = string;
      number.focus();
      return(1);
   }
   if (string.length > 0 && string > 23) 
   {
      alert("Invalid value for hour.");
      number.value = "";
      number.focus();
      return(1);
   }
   if (string.length > 0 && string < 0) 
   {
      alert("Invalid value for hour.");
      number.value = "";
      number.focus();
      return(1);
   }
   return(0);
}

// checks to make sure valid numbers are entered in 
// the minute field if not the current letter is removed.
function checkValidMinute(number)
{
   var pattern = /\D/;
   var string = number.value;

   if( number.value.match(pattern) )
   {
      string = string.slice(0,-1);
      number.value = string;
      number.focus();
      return(1);
   }
   if (string.length > 0 && string > 59) 
   {
      alert("Invalid value for minute.");
      number.value = "";
      number.focus();
      return(1);
   }
   if (string.length > 0 && string < 0) 
   {
      alert("Invalid value for minute.");
      number.value = "";
      number.focus();
      return(1);
   }
   return(0);
}

// check to make sure time fields have been filled
// in before submiting the form
function confirmValidTime()
{
   var f = document.forms[0];

   if ((f.hour.value == "") || (f.minute.value == ""))
   {
     alert("Please complete the time fields.");
     return;
   }

    // See if there were any changes
    if(    (f.org_timeZone.value == f.timeZone.value ) &&
         (parseInt(f.org_hour.value) == parseInt(f.hour.value )) &&
         (parseInt(f.org_minute.value) == parseInt(f.minute.value )) &&
         (parseInt(f.org_useNTP.value) == parseInt(f.useNTP.value )) &&
         (parseInt(f.org_NTP_1.value) == parseInt(f.NTP_1.value )) &&
         (parseInt(f.org_NTP_2.value) == parseInt(f.NTP_2.value )) &&
         (f.calChanged.value == 0 ) )
    {
          alert("No changes were made" );
          return;
    }
//    else
//       alert(f.org_timeZone.value + "|" + f.org_hour.value + "|" + f.org_minute.value + "|" + f.calChanged.value + "\n" + f.timeZone.value + "|" + f.hour.value + "|" + f.minute.value + "|" + f.calChanged.value);

   // If NTP is enable verify the IP Addresses also.
   var doIt = true;
   if( document.forms[0].useNTP.checked )
   {
      doIt = false;
      if( checkHostOrIP( document.forms[0].NTP_1, 0 ) )
         if( checkHostOrIP( document.forms[0].NTP_2, 1 ) )
            doIt = true;
   }
   else
   {
      // Clear the ntp IPs incase they are bad
      document.forms[0].NTP_1.value = "";
      document.forms[0].NTP_2.value = "";
   }
   
   if( doIt == true )   // launch progress window
      openProgressWindow("Modifying Date & Time", "0");
}

