// S101CoreVersion_mod.cpp
// The purpose of this source file is to provide information that is used to fill
// in the fields of a FirmwareImageDescription class.  This class is returned when
// information is requested about the version of the S101 Core Service Firmware.

// Note that this source file is also included in the library.tgz file and must be present
// for the App Manager to easily glean version information from the compressed file.

// This .cpp file is included in S101Core.cpp after the #includes, so
// it needs to contain no #includes itself.

// NOTE: This file is actually created from S101CoreVersion.cpp and modified
// by the utility 'ver_util'.  This is done so that VersionOEM and FirmwareImageVersion
// can be determined by the build and not require the duplication of effort required to
// modify this source file.

 
namespace s101CoreVersion
{
	//******************************************************************************************
	// NOTE:  The following constants need to be modified before each build!

	// The Build version number has been broken down into the members below.  The patch number
	// is optional, but Major, Minor & Build must have a value.
	const int MajorVersionNumber = 4;
	const int MinorVersionNumber = 10;
	const int BuildVersionNumber = 7;
	const char *PatchVersionNumber("");		// Optional two character patch identifier

	// The OEM version of the software.  Normally, this is set to 'G' for released generic code.
	// If the build OEM is a special version determined at build time rather than at run time,
	// though, this letter must be changed to reflect this.  Legal values for this letter are
	// listed below:
	//    a/A	ADIC build (a = test, A = release)
	//    b/B	IBM build (b = test, B = release)
	//    d/D	DELL build (d = test, D = release)
	//    g/G	Generic build (g = test, G = release)
	//    x/X	Generic build, and letter changed at runtime to a/A, b/B or d/D
	const char VersionOEM('G');

	// The build Target.  May take on any of the following values:
	//    G     GA Candidate Release (labeled build that is a release candidate)
	//    T     Test build (labeled build used for formal testing)
	//    D     Dev build (labeled build used for unit testing)
	//    xxx   lower case letters specify the developer of a local build
	const char *VersionTarget("G");

	// The build Variant.  May take on one of the following values:
	//    S     System
	//    R     RCS
	//    M     MCB
	const char VersionVariant('S');

	// The build date.  Now might be a good time.
	const char *FirmwareImageTimestamp("06/06/2005 17:41");    // Of the form month/date/year hour:minute


	//******************************************************************************************
	// The following constants do NOT need to be modified before each build

	// The information above and below gets stuffed into a Firmware Image Description class and is
	// used to describe the S101 Core Service firmware.
	const char *FirmwareImageName("S101Core");

	// The information below comes from MKS and should not need to be entered in by hand.  Checking
	// this file out from MKS will automatically fill this stuff in - although it is not currently
	// used.  It is just here as a sanity check for the rest of the information.
	const char *FirmwareBuildLabel("$Name:  $");
	const char *FirmwareCheckoutDate("$Date: 2007/09/21 13:07:10MDT $");
	const char *FirmwareProjectName("$ProjectName: e:/mks/projects/predator/ccDevModel/Code/Applications/Scalar101/S101SystemBuild/project.pj $");
	const char *FirmwareProjectRevision("$ProjectRevision: 1.157.1.15 $");

	//******************************************************************************************
	// The following constants were computed and added in by ver_util:

	const char *MajorVersionString("4");
	const char *MinorVersionString("10");
	const char *BuildVersionString("007");
	const char *FirmwareImageVersion("410G.GS007");
}
